{{-
    if (and (strings.HasPrefix .PlainText "[")
            (strings.HasSuffix .PlainText "]")
            (eq .Destination ""))
    -}}
        {{- /*
            Crosslinks:
                [[Title]]() 
                [[Title|Text]]()
    
            Wikipedia links:
                [[wiki:Title]]()
                [[wiki:Title|Text]]()
    
            Nora online links:
                [[nora:Title]]()
                [[nora:Title|Text]]()
        */ -}}
    
        {{- if gt (strings.Count .PlainText "|") 1 -}}
        {{ errorf "Markdown crosslink error in %s, multiple | in %s" .Page.File.Path .PlainText }}
        {{- end -}}
    
        {{- $scratch := newScratch -}}
    
        {{- $fixedText := substr .PlainText 1 -1 }}
        {{- $fixedText = (replace $fixedText "&lsquo;" "'") -}}
        {{- $fixedText = (replace $fixedText "&rsquo;" "'") -}}
    
        {{- $parts := split $fixedText "|"  -}}
        {{- $title := index $parts 0 -}}
        {{- $text := index $parts (sub (len $parts) 1) -}}
        {{- $external := false }}
    
        {{- $scratch.Set "crosslink-url" false -}}
    
        {{- if strings.HasPrefix $title "wiki:" -}}
            {{- $title = substr $title 5 -}}
            {{- if strings.HasPrefix $text "wiki:" -}}{{- $text = substr $text 5 -}}{{- end -}}
            {{- $scratch.Set "crosslink-url" (printf "https://en.wikipedia.org/wiki/%s" $title) -}}
            {{- $external = true }}
        {{- end -}}
    
        {{- if strings.HasPrefix $title "nora:" -}}
            {{- $title = substr $title 5 -}}
            {{- if strings.HasPrefix $text "nora:" -}}{{- $text = substr $text 5 -}}{{- end -}}
            {{- $scratch.Set "crosslink-url" (printf "https://noraonline.nl/wiki/%s" $title) -}}
            {{- $external = true }}
        {{- end -}}
    
        {{- range $page := .Page.Site.AllPages -}}
            {{- if (and (not ($scratch.Get "crosslink-url")) (eq $page.Title $title)) -}}
                {{- $scratch.Set "crosslink-url" $page.Permalink -}}
            {{- end -}}
            {{- if (and (not ($scratch.Get "crosslink-url")) (eq $page.LinkTitle $title)) -}}
                {{- $scratch.Set "crosslink-url" $page.Permalink -}}
            {{- end -}}
        {{- end -}}
    
        {{- if $scratch.Get "crosslink-url" -}}
            <a href="{{ $scratch.Get "crosslink-url" }}" 
               {{ if $external }} target="_blank" rel="noopener"{{ end }}
               >{{ $text }}</a>
        {{- else -}}
            {{ errorf "Markdown crosslink error in %s, for title: %s, title: %s" .Page.File.Path $title $text }}
        {{- end -}}
    
    {{- else -}}
        {{- $u := urls.Parse .Destination -}}
        <a href="{{ .Destination | safeURL }}" {{- with .Title }} title="{{ . }}"{{ end -}} {{- if $u.IsAbs }} target="_blank" rel="external"{{ end -}}>{{- with .PlainText }}{{ . }}{{ end -}}</a>
      {{- end -}}